Package Base Details: xorg-server-dev

Git Clone URL: https://aur.archlinux.org/xorg-server-dev.git (read-only)
Keywords: X-ABI-EXTENSION_VERSION X-ABI-VIDEODRV_VERSION X-ABI-XINPUT_VERSION x-server
Submitter: Det
Maintainer: dbermond
Last Packager: dbermond
Votes: 19
Popularity: 0.007485
First Submitted: 2010-06-27 07:53
Last Updated: 2019-06-09 12:01

Latest Comments

« First ‹ Previous ... 2 3 4 5 6 7 8 9 10 11 12 ... Next › Last »

edtoml commented on 2014-04-14 00:42

For everyones info. The tarball for 1.15.99.902 is missing headers needed to compile glamor. changing the PKGBUILD to use git and appling fixes from https://bugs.freedesktop.org/show_bug.cgi?id=64297 enabling glamor and removing glamor-egl before installing the new xserver along with xf86-video-ati-git xf86-input-evdev-git xf86-video-modesetting-git & xf86-video-fbdev-git gives a working install here. On my r7 260x (see bugs.freedesktop.org/show_bug.cgi?id=75992 if you have one) it runs the uniengine tropical benchmark 20% faster than 1.15.

Det commented on 2014-04-13 15:08

Guess so. You don't have to quote the whole thing, though.

r08 commented on 2014-04-13 14:52

@Det
Comment by Det
2014-04-10 09:48
Everybody's suddenly so interested in this.

Yes because if you read the news, xorg-server 1.15.99.902 has some kickass features, bug fixes, and performance enhancements. So everyone is eager to test these. =D

kozzi commented on 2014-04-11 16:08

edtoml:

there are some missing files, I have make my own packages for this xorg-server(+latest mesa and latest llvm) and it is amazing. All bugs with slow radeonsi are gone.

Det commented on 2014-04-10 09:48

Everybody's suddenly so interested in this.

jdbrown commented on 2014-04-10 09:45

The xwayland ddx mainlined recently works with --enable-xwayland flag (requires libepoxy-git, tested with weston 1.4.91). However, starting Xorg will make the screen go blank and the machine totally unresponsive on my (VMWare virtual) machine. Any ideas why?

edtoml commented on 2014-04-09 21:07

This does not work when the PGKBUILD is modified to add
--enable-glamor
which should build the version of glamor now in the xorg tree.

Its getting errors with includes and probably also needs a provides glamor-egl

(trying to test this glamor version for bug 64297)

edtoml commented on 2014-04-09 21:04

This does not seem to work when --enable-glamor is added to use the version that is now in the xorg tree. It gets errors with includes and probably need a provides glamor-egl

Det commented on 2014-04-09 17:15

Yeah, okay. It's just that they used to include those updated version clauses in the configuration step.

r08 commented on 2014-04-09 17:13

@Det based on the 2 compile errors I got during build. After installing these 2 protos everything build fine